/*	ksslglue.h  --  client side access to kssl_* routines in Net::SSLeay
**
**	20000217	VRS 	Started.
**
**	This is to allow calls to 
**		kssl_ctx_setstring(KSSL_CTX *kssl_ctx, int which, char *text)
**	via
**		Net::SSLeay::kssl_set_service(ssl, servicename)
**		Net::SSLeay::kssl_set_server(ssl,  hostname)
**		Net::SSLeay::kssl_set_client(ssl,  clientprinc)
**		Net::SSLeay::kssl_set_keytab(ssl,  keytabfile)
*/

#include <openssl/ssl.h>

void	kssl_set_service(SSL *ssl, char *text);
void	kssl_set_server(SSL *ssl, char *text);
void	kssl_set_client(SSL *ssl, char *text);
void	kssl_set_keytab(SSL *ssl, char *text);
void	kssl_show_kctx(SSL *ssl);

KSSL_CTX	*kssl_get_kctx(SSL *ssl);

